Issue 9531

Title
Mixins not applied to default report class
Priority
feature
Status
resolved
Superseder
User-defined reports for custom template extensions (issue 9103)
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-08-10.12:49:11 by ced, last changed 1 month ago by roundup-bot.

Messages

New changeset 12d1a9e81bbd by Cédric Krier in branch 'default':
Register mixins to generic Report class
https://hg.tryton.org/tryton-env/rev/12d1a9e81bbd
New changeset 5691cffa9fdc by Cédric Krier in branch 'default':
Register mixins to generic Report class
https://hg.tryton.org/trytond/rev/5691cffa9fdc
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-08-10.12:49:11
The pool creates automatically a default report class when it does not exist. But this class does not receive the mixins registered for Report.
Also __post_setup__ is not called and they have no slots defined by default.
History
Date User Action Args
2020-09-12 18:25:39roundup-botsetmessages: + msg60096
2020-09-12 18:25:35roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg60095
2020-08-16 16:59:11reviewbotsetmessages: + msg59755
2020-08-10 15:40:15pokolisetsuperseder: + User-defined reports for custom template extensions
2020-08-10 13:21:29reviewbotsetnosy: + reviewbot
messages: + msg59665
2020-08-10 12:49:52cedsetstatus: in-progress -> testing
reviews: 300261002
keyword: + review
2020-08-10 12:49:11cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)